SQOOP-MERGE(1)

NAME
sqoop-merge - Merge a newer dataset from an incremental import onto an older one.

SYNOPSIS

sqoop-merge <generic-options> <tool-options>

sqoop merge <generic-options> <tool-options>

DESCRIPTION

The merge tool allows you to combine two datasets where entries in one dataset should overwrite entries of an older dataset. For example, an incremental import run in last-modified mode will generate multiple datasets in HDFS where successively newer data appears in each dataset. The merge tool will "flatten" two datasets into one, taking the newest available records for each primary key.

OPTIONS

  Merge options

--class-name (class)
    Specify the name of the record-specific class to use during the merge job.

--jar-file (file)
    Specify the name of the jar to load the record class from.

--merge-key (col)
    Specify the name of a column to use as the merge key.

--new-data (path)
    Specify the path of the newer dataset.

--onto (path)
    Specify the path of the older dataset.

--target-dir (path)
    Specify the target path for the output of the merge job.

  Common options

--help
    Print usage instructions

--verbose
    Print more information while working

ENVIRONMENT

See sqoop(1)

AUTHOR

Sqoop Team
    Author.